Subject: Re: [lamps] New Version Notification for draft-ietf-lamps-cmp-updates-05.txt

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Tue, 22 Sep 2020 15:08:25 +0000

I updated the Updates CMP draft and tried to address all topics that were discussed in the past weeks on the list.
Special thanks to Russ for the fruitful discussion.
Please excuse, in case I missed a topic and let me know.

These are the main points I changed:

   o  Added Section 2.6 and Section 2.7 to clarify the usage of these
      general messages types with EC curves (see thread
      "AlgorithmIdentifier parameters NULL value - Re: InfoTypeAndValue
      in CMP headers")

   o  Split former section 2.7 on adding ’CA Certificates’, ’Root CA
      Certificates Update’, and ’Certificate Request Template’ in three
      separate sections for easier readability

   o  Changed in Section 2.10 the ASN.1 syntax of CertReqTemplateValue
      from using reaKeyLen to usage of controls as specified in CRMF
      Section 6 [RFC4211] (see thread "dtaft-ietf-lamps-cmp-updates and
      rsaKeyLen")

   o  Updated the IANA considerations in Section 2.13 to introduce new
      OID for id-regCtrl-algId and id-regCtrl-rsaKeyLen (see thread
      "dtaft-ietf-lamps-cmp-updates and rsaKeyLen")

   o  Updated the IANA Considerations in and the Appendixes to introduce
      new OID for the updates ASN.1 modules (see thread "I-D Action:
      draft-ietf-lamps-cmp-updates-04.txt")

   o  Removed EncryptedValue from and added Controls to the list of
      types imported from CRMF [RFC4211] in ASN.1 modules (see thread
      "draft-ietf-lamps-cmp-updates and the ASN.1 modules")

   o  Moved declaration of Rand out of the comment in ASN.1 modules (see
      thread "draft-ietf-lamps-cmp-updates and the ASN.1 modules")

   o  Minor changes and corrections

Hendrik

> Von: [email-masked] <[email-masked]>
> 
> A new version of I-D, draft-ietf-lamps-cmp-updates-05.txt
> has been successfully submitted by Hendrik Brockhaus and posted to the IETF
> repository.
> 
> Name:		draft-ietf-lamps-cmp-updates
> Revision:	05
> Title:		CMP Updates
> Document date:	2020-09-22
> Group:		lamps
> Pages:		48
> URL:
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.
> org%2Fid%2Fdraft-ietf-lamps-cmp-updates-
> 05.txt&amp;data=02%7C01%7Chendrik.brockhaus%40siemens.com%7C5da4c2
> 9537214c89afe908d85f08885e%7C38ae3bcd95794fd4addab42e1495d55a%7C1
> %7C0%7C637363837547548234&amp;sdata=5%2BOvc%2B432KD1lsUZE%2Ba8
> LiBYlzkQoaRLu%2FLCr98jFwA%3D&amp;reserved=0
> Status:
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatrack
> er.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cmp-
> updates%2F&amp;data=02%7C01%7Chendrik.brockhaus%40siemens.com%7C5
> da4c29537214c89afe908d85f08885e%7C38ae3bcd95794fd4addab42e1495d55
> a%7C1%7C0%7C637363837547558225&amp;sdata=MatGLrdndu8e6Nc%2B0hn
> qCm38HGzL6EKp%2BO8UbwdnFU8%3D&amp;reserved=0
> Htmlized:
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatrack
> er.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-lamps-cmp-
> updates&amp;data=02%7C01%7Chendrik.brockhaus%40siemens.com%7C5da4c
> 29537214c89afe908d85f08885e%7C38ae3bcd95794fd4addab42e1495d55a%7C
> 1%7C0%7C637363837547558225&amp;sdata=6yZM6Gl8l1sKNkf1Bf%2Bp%2FTj
> vwd7acBng3lNtlV1DA4E%3D&amp;reserved=0
> Htmlized:
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.
> org%2Fhtml%2Fdraft-ietf-lamps-cmp-updates-
> 05&amp;data=02%7C01%7Chendrik.brockhaus%40siemens.com%7C5da4c2953
> 7214c89afe908d85f08885e%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7
> C0%7C637363837547558225&amp;sdata=BqDDMgiHTA%2F26u93dq0g5bMp6Z
> 6uyEt28xuTTGb3BaY%3D&amp;reserved=0
> Diff:
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.
> org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-cmp-updates-
> 05&amp;data=02%7C01%7Chendrik.brockhaus%40siemens.com%7C5da4c2953
> 7214c89afe908d85f08885e%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7
> C0%7C637363837547558225&amp;sdata=nc09iTnuD7xWEs0B6EFHc%2BlndAk5
> 6I2lRsl9ATlxUng%3D&amp;reserved=0
> 
> Abstract:
>    This document contains a set of updates to the base syntax and
>    transport of Certificate Management Protocol (CMP) version 2.  This
>    document updates RFC 4210 and RFC 6712.
> 
>    Specifically, the CMP services updated in this document comprise the
>    enabling of using EnvelopedData instead of EncryptedValue, adding new
>    general message types, the definition of extended key usages to
>    identify certificates of CMP endpoints on certification and
>    registration authorities, and adds an HTTP URI discovery mechanism
>    and extend the URI structure.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>

---

From: Russ Housley <[email-masked]>
Date: Tue, 22 Sep 2020 12:51:53 -0400

It looks like the bulk of the changes are the result of my comments.  Thanks.

Russ

> On Sep 22, 2020, at 11:08 AM, Brockhaus, Hendrik <[email-masked]> wrote:
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spasm